#
# spec file for package perl-Any-Moose
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Any-Moose
Version:        0.27
Release:        1.26
%define cpan_name Any-Moose
Summary:        (DEPRECATED) use Moo instead!
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Any-Moose/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moose)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Moose)
%{perl_requires}

%description
(DEPRECATED) use Moo instead!

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Wed Nov  9 2016 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Any-Moose/Changes
  0.27      2016-11-08 03:37:04Z
  - add deprecation warning when this module is used
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.26
  see /usr/share/doc/packages/perl-Any-Moose/Changes
  0.26      2015-01-24 07:52:46Z
  - change Mouse $VERSION check to avoid dying on bad 'v2.4.0' version
  0.25      2015-01-21 04:31:32Z
  - mark module as deprecated in metadata
  - add additional checks for too-old Mouse
* Wed Nov 19 2014 lars@linux-schulserver.de
- update to 0.24:
  * now always prefers Moose if Moo is loaded, to overcome some
    incompatibility issues in subclasses (github #1, Graham Knop)
  * fix missing =encoding directive in pod
  * canonical repository moved to https://github.com/moose/Any-Moose
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.21
  * Add tokuhirom's translation of the deprecation notice
  * Documentation fixes
  * Deprecated in favor of Moo. Good night, sweet prince.
* Wed Mar 28 2012 joop.boonen@opensuse.org
- Solved bnc#752049
  Added missing Requires:       perl(Moose)
* Thu Dec  1 2011 coolo@suse.com
- let it require Mouse, even though it's not technically correct
* Fri Nov 18 2011 coolo@suse.com
- update to 0.18
  * Try to cope with broken smokers better by recording a Moose
    prereq when it is used. (Chris Williams)
  - see https://rt.cpan.org/Public/Bug/Display.html?id=72043
* Mon Sep 19 2011 coolo@suse.com
- updated to 0.17
  * Better indicate that this module is dynamically configured.
  - fixes [rt.cpan.org #70996]
  * If you have Moose installed you no longer get the Mouse dependency (rjbs, reported by andk)
    Any::Moose has long had both runtime and test support for Moose
    without Mouse, but the toolchain has not, until recently, been
    good enough to handle alternatives. This change is designed
    to affect very few people.
  - fixes [rt.cpan.org #70597]
* Sat Jun 11 2011 pascal.bleser@opensuse.org
- update to 0.15:
  * Standardize the tests' Mouse/Moose loading eval/skip code
    (Sartak, reported by Daniel Macks)
  - fixes [rt.cpan.org #68657]
* Mon May 30 2011 coolo@novell.com
- updated to 0.14
  * fixes in test cases
* Sun Feb  6 2011 coolo@novell.com
- take out dependency on Mouse to avoid huge dependency list
* Sat Jan 22 2011 coolo@novell.com
- update to 0.13:
  * Add load_first_existing_class (gfx)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Apr  9 2010 lars@linux-schulserver.de
- update to 0.12:
  + Slight performance improvements for is_class_loaded,
    lazily loading Carp, etc
  + Document $ENV{ANY_MOOSE}
  + Alias class_of and more functions
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.11
